Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSChallenge Class Reference

The CSChallenge class for use with a CSCredentialProvider. More...

`#import <CSChallenge.h>`

Inherits NSObject.

## Instance Methods
(NSArray< NSString * > *) | - realmsForAuthMethod:
| Get Realm values for the specified auth method associated with the challenge. More...

## Properties
NSString * | realm
| The Realm value associated with the challenge. More...
NSString * | host
| The Host associated with the challenge. More...
BOOL | hashCredentialSupported
| YES if hash credentials are supported. More...
NSUInteger | failureCount
| The failure count based on the number of requests. More...
BOOL | portalUserTokenSupported
| YES if Portal User Token authentication is supported. More...
BOOL | authTokenSupported
| A boolean value indicating whether the sender of the challenge can accept OAuth2 Token. More...
BOOL | usernamePasswordSupported
| A boolean value indicating whether the sender of the challenge can accept username/password as a response to this challenge. More...
NSURL * | location
| Location of authorization resource associated with auth token challenge. More...

## Detailed Description

The CSChallenge class for use with a CSCredentialProvider.

Based on the CSChallenge, the CSCredentialProvider can request that credentials be supplied.

## Method Documentation

- (NSArray<NSString *> *) realmsForAuthMethod: |  | (CSAuthorizationMethod) | authMethod |

Get Realm values for the specified auth method associated with the challenge.

If the challenge does not support specified method or the method does not have associated Realm value, empty array is returned.

## Property Documentation

- (BOOL) authTokenSupported
| read atomic assign

A boolean value indicating whether the sender of the challenge can accept OAuth2 Token.

Returns
  The return value is true if the sender can accept auth tokens, otherwise false.

- (NSUInteger) failureCount
| read atomic assign

The failure count based on the number of requests.

- (BOOL) hashCredentialSupported
| read atomic assign

YES if hash credentials are supported.

- (NSString*) host
| read atomic assign

The Host associated with the challenge.

- (NSURL*) location
| read atomic assign

Location of authorization resource associated with auth token challenge.

Credential provider can navigate to this URI using browser window in order to authorize and retrieve auth token for the challenge.

- (BOOL) portalUserTokenSupported
| read atomic assign

YES if Portal User Token authentication is supported.

- (NSString*) realm
| read atomic assign

The Realm value associated with the challenge.

If the challenge supports multiple auth methods, username/password authorization Realm is returned.

- (BOOL) usernamePasswordSupported
| read atomic assign

A boolean value indicating whether the sender of the challenge can accept username/password as a response to this challenge.

Returns
  The return value is true if the username/password are an acceptable response, otherwise false.

The documentation for this class was generated from the following file:

- CSChallenge.h